package gotowe.p27_generyki.kolekcje;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class StaraJava {

	public static void main(String[] args) {
		// Tak się używało list i innych kolekcji w wersjach Javy < 5
		List lista = new ArrayList();
		lista.add("Ala");
		lista.add("Ola");
		lista.add("Ela");
		// lista.add(new Integer(133));
		System.out.println(lista);
		
		Iterator it = lista.iterator();
		while(it.hasNext()) {
			String elt = (String)it.next();
			System.out.println(elt);
		}
		
		String imie = (String)lista.get(1);
		System.out.println(imie);
	}

}
